Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## display
Class vt320

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--display.Terminal
                              |
                              +--display.vt320

public class vt320
extends Terminal
implements TerminalHost

A DEC VT320 Terminal Emulation (includes VT100/220 and ANSI). The terminal emulation accesses the applet parameters to configure itself. The following parameters may be set. Default values are written in italics and other possible values are bold.

`<PARAM NAME="Fx" VALUE="functionkeytext">`
  Sets the string sent when the function key Fx (x between 1 und 20) is pressed.
`<PARAM NAME="VTcolumns" VALUE="80">`
  Sets the columns of the terminal initially. If the parameter VTresize is set to screen this may change, else it is fixed.
`<PARAM NAME="VTrows" VALUE="24">`
  Sets the rows of the terminal initially. If the parameter value of VTresize screen this may change!
`<PARAM NAME="VTfont" VALUE="Courier">`
  Sets the font to be used for the terminal. It is recommended to use Courier or at least a fixed width font.
`<PARAM NAME="VTfontsize" VALUE="14">`
  Sets the font size for the terminal. If the parameter value of VTresize is set to font this may change!
`<PARAM NAME="VTresize" VALUE="font">`
  This parameter determines what the terminal should do if the window is resized. The default setting font will result in resizing the font until is matches the window best. Other possible values are none or screen. none will let nothing happen and screen will let the display try to change the amount of rows and columns to match the window best.
`<PARAM NAME="VTscrollbar" VALUE="false">`
  Setting this parameter to true will add a scrollbar west to the terminal. Other possible values include left to put the scrollbar on the left side of the terminal and right to put it explicitely to the right side.
`<PARAM NAME="VTid" VALUE="vt320">`
  This parameter will override the terminal id vt320. It may be used to determine special terminal abilities of VT Terminals.
`<PARAM NAME="VTbuffer" VALUE="xx">`
  Initially this parameter is the same as the VTrows parameter. It cannot be less than the amount of rows on the display. It determines the available scrollback buffer.
`<PARAM NAME="VTcharset" VALUE="none">`
  Setting this parameter to ibm will enable mapping of ibm characters (as used in PC BBS systems) to UNICODE characters. Note that those special characters probably won't show on UNIX systems due to lack in X11 UNICODE support.
`<PARAM NAME="VTvms" VALUE="false">`
  Setting this parameter to true will change the Backspace key into a delete key, cause the numeric keypad keys to emit VT100 codes when Ctrl is pressed, and make other VMS-important keyboard definitions.
`<PARAM NAME="Fnr" VALUE="string">`
  Function keys from F1 to F20 are programmable. You can install any possible string including special characters, such as

  `\e` | Escape
  `\b` | Backspace
  `\n` | Newline
  `\r` | Return
  `\xxxx` | Character xxxx (decimal)

`<PARAM NAME="CFnr" VALUE="string">`
  Function keys (with the Control-key pressed) from CF1 to CF20 are programmable too.
`<PARAM NAME="SFnr" VALUE="string">`
  Function keys (with the Shift-key pressed) from SF1 to SF20 are programmable too.
`<PARAM NAME="AFnr" VALUE="string">`
  Function keys (with the Alt-key pressed) from AF1 to AF20 are programmable too.

Version:
  $Id: vt320.html,v 1.1.1.1 2005/09/25 22:40:20 rswindell Exp $
Author:
  Matthias L. Jugel, Marcus Mei?ner
See Also:
  Serialized Form

Field Summary
`static int` | `INSERT` The Insert key.
`static int` | `KEYCAPS_LOCK`
`static int` | `KEYINSERT`
`static int` | `KEYNUM_LOCK`
`static int` | `KEYPAUSE`
`static int` | `KEYPRINT_SCREEN`
`static int` | `KEYSCROLL_LOCK`
`static char[]` | `unimap`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`vt320()`

Method Summary
`void` | `addNotify()` Initialize terminal.
`java.lang.String[][]` | `getParameterInfo()`
`java.awt.Dimension` | `getSize()`
`java.lang.String` | `getTerminalType()`
`boolean` | `handleEvent(java.awt.Event evt)` Handle events for the terminal.
`char` | `map_cp850_unicode(char x)`
`void` | `putChar(char c)`
`void` | `putChar(char c, boolean doshowcursor)`
`void` | `putString(java.lang.String s)` Put String at current cursor position.
`boolean` | `send(java.lang.String s)` Dummy method to handle input events (String).
`java.lang.String` | `toString()` Return the version of the terminal emulation and its display.

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEYPRINT_SCREEN

    public static final int KEYPRINT_SCREEN

### KEYSCROLL_LOCK

    public static final int KEYSCROLL_LOCK

### KEYCAPS_LOCK

    public static final int KEYCAPS_LOCK

### KEYNUM_LOCK

    public static final int KEYNUM_LOCK

### KEYPAUSE

    public static final int KEYPAUSE

### KEYINSERT

    public static final int KEYINSERT

### INSERT

    public static final int INSERT

  The Insert key.

### unimap

    public static final char[] unimap

Constructor Detail

### vt320

    public vt320()

Method Detail

### toString

    public java.lang.String toString()

  Return the version of the terminal emulation and its display.
  Overrides:
    toString in class java.awt.Component

### getParameterInfo

    public java.lang.String[][] getParameterInfo()

  Overrides:
    getParameterInfo in class Terminal

### addNotify

    public void addNotify()

  Initialize terminal.
  Parameters:
    `parent` - the applet parent where to get parameters from
  Overrides:
    addNotify in class java.awt.Panel
  See Also:
    `Terminal`

### getSize

    public java.awt.Dimension getSize()

  Overrides:
    getSize in class Terminal

### getTerminalType

    public java.lang.String getTerminalType()

  Overrides:
    getTerminalType in class Terminal

### handleEvent

    public boolean handleEvent(java.awt.Event evt)

  Handle events for the terminal. Only accept events for the scroll bar. Any other events have to be propagated to the parent.
  Parameters:
    `evt` - the event
  Overrides:
    handleEvent in class java.awt.Component

### send

    public boolean send(java.lang.String s)

  Dummy method to handle input events (String). This is only needed if our parent is not TerminalHost
  Specified by:
    send in interface TerminalHost
  Parameters:
    `s` - String to handle
  Returns:
    always true
  See Also:
    `TerminalHost`

### putString

    public void putString(java.lang.String s)

  Put String at current cursor position. Moves cursor according to the String. Does NOT wrap.
  Parameters:
    `s` - the string
  Overrides:
    putString in class Terminal

### putChar

    public void putChar(char c)

  Overrides:
    putChar in class Terminal

### map_cp850_unicode

    public char map_cp850_unicode(char x)

### putChar

    public void putChar(char c,
                        boolean doshowcursor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD